> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/smartsafe/v1/providers/{providerName}/deposits > Upsert Provider Deposits for Smart Safe integration ## OpenAPI ````json POST /public/smartsafe/v1/providers/{providerName}/deposits { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/smartsafe/v1/providers/{providerName}/deposits": { "post": { "tags": [ "netcore" ], "description": "Upsert Provider Deposits for Smart Safe integration", "parameters": [ { "name": "providerName", "in": "path", "description": "The smart safe provider name", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Smart safe deposit request data", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Application.Models.SmartSafe.SmartSafeReverseProxyRequest" } } } }, "responses": { "200": { "description": "Smart safe deposits processed successfully" }, "400": { "description": "Bad Request - Invalid request data" }, "401": { "description": "Unauthorized - Invalid or missing access token" }, "500": { "description": "Internal Server Error" } } } } }, "components": { "schemas": { "R365.Application.Models.SmartSafe.SmartSafeReverseProxyRequest": { "type": "object", "properties": { "metadata": { "$ref": "#/components/schemas/R365.Application.Models.SmartSafe.RequestMetadata" }, "transactions": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Application.Models.SmartSafe.RequestTransaction" }, "description": "Array of smart safe transactions.", "nullable": true } }, "additionalProperties": false }, "R365.Application.Models.SmartSafe.RequestMetadata": { "type": "object", "properties": { "locationInformation": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Application.Models.SmartSafe.RequestLocationInformation" }, "description": "Location information for the smart safe devices.", "nullable": true }, "messageId": { "type": "string", "description": "Unique message identifier.", "nullable": true }, "correlationId": { "type": "string", "description": "Correlation identifier for tracking requests.", "nullable": true } }, "additionalProperties": false }, "R365.Application.Models.SmartSafe.RequestTransaction": { "type": "object", "properties": { "pickupGroupId": { "type": "integer", "description": "Pickup group identifier.", "format": "int64" }, "serialNumber": { "type": "string", "description": "Smart safe device serial number.", "nullable": true }, "retrievedOn": { "type": "string", "description": "Date and time when the transaction was retrieved.", "format": "date-time" }, "transactionDateTime": { "type": "string", "description": "Date and time of the actual transaction.", "format": "date-time" }, "userName": { "type": "string", "description": "Username of the person who performed the transaction.", "nullable": true }, "transactionType": { "type": "string", "description": "Type of the smart safe transaction.", "nullable": true }, "amount": { "type": "number", "description": "Transaction amount.", "format": "double" } }, "additionalProperties": false }, "R365.Application.Models.SmartSafe.RequestLocationInformation": { "type": "object", "properties": { "serialNumber": { "type": "string", "description": "Serial number of the smart safe device.", "nullable": true }, "name": { "type": "string", "description": "Name or identifier of the location.", "nullable": true }, "storeId": { "type": "string", "description": "Store identifier.", "nullable": true }, "location": { "type": "string", "description": "Physical location description.", "nullable": true } }, "additionalProperties": false } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````